Subject: nncp-redir

From: Sergey Matveev <[email-masked]>
Date: Wed, 30 Jun 2021 17:31:25 +0300

Greetings!

*** John Goerzen [2021-06-30 06:28]:
>but it might be nice to have something like "nncp-redir"
>that could redirect queued packets, adding additional onion routing layers
>around what's there already.

Well, as I can see that could be done rather easily. Transition packets
literally contains an ordinary encrypted packets, that you already have
in your case.

However I am thinking again about possibility to have multiple
recipients in one encrypted packet. In your case there will be
transitional packet to VPS and backsvr. If it will reach VPS, then it
will unpack it and create "de-proxied" message to the backsvr. If it
will reach backsvr, then it can open both the transitional packet and an
encrypted packet inside it.

It close to the idea of multicasting, where I can send single packet for
multiple recipients to spread the data more efficiently. I just can not
forget the fact that in networks like FidoNet all the time (once per
week, as I remember) an updated "nodelist" is sent to all the nodes in
the network. Making enormous number of copies to each node would be
wasteful, so FidoNet has multicasting abilities. NNCP currently lacks it
at all. But I am not sure that it have to be a part of NNCP itself, but
probably an external echoconference-like processing nncp-exec-ed
software dealing with the "subscription" (multicast group membership)
states and similar things.

I will think about all of it more closely (all of us want simple
solutions :-)) and if won't come to any conclusions, then will make
"nncp-redir" utility, that should be dead simple.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF